% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lords_attendance_date.R
\name{lords_attendance_date}
\alias{lords_attendance_date}
\alias{hansard_lords_attendance_date}
\title{House of Lords attendance by date}
\usage{
lords_attendance_date(date = NULL, tidy = TRUE, tidy_style = "snake",
  verbose = TRUE)

hansard_lords_attendance_date(date = NULL, tidy = TRUE,
  tidy_style = "snake", verbose = TRUE)
}
\arguments{
\item{date}{Accepts a date to return attendance data for. Accepts
character values in \code{'YYYY-MM-DD'} format, and objects of
class \code{Date}, \code{POSIXt}, \code{POSIXct}, \code{POSIXlt} or
anything else that can be coerced to a date with \code{as.Date()}.
Defaults to \code{NULL}.}

\item{tidy}{Logical parameter. If \code{TRUE}, fixes the variable names
in the tibble to remove special characters and superfluous text, and
converts the variable names to a consistent style. Defaults to \code{TRUE}.}

\item{tidy_style}{The style to convert variable names to, if
\code{tidy = TRUE}. Accepts any style accepted by \link[snakecase]{to_any_case}.
Defaults to \code{'snake'}.}

\item{verbose}{If \code{TRUE}, displayes messages on the console on the
progress of the API request. Defaults to \code{TRUE}.}
}
\value{
A tibble with details on the lords who attended on a given date.
}
\description{
Imports data on House of Lords attendance on a given date.
}
\details{
Please note that House of Lords attendance data is not as
tidy as some of the others that are accessible through this
API, and so additional work on the return from the API may be required.

Also note that this API does not appear to have been
updated with data after 2017-01-31.
}
\examples{
\dontrun{
x <- lords_attendance_date(date = "2016-03-01")
}

}
\seealso{
\code{\link[=lords_attendance_session]{lords_attendance_session()}}
}
